--- old/usr/src/uts/common/inet/ip/spdsock.c	Thu Apr  4 14:09:51 2019
+++ new/usr/src/uts/common/inet/ip/spdsock.c	Thu Apr  4 14:09:51 2019
@@ -21,7 +21,7 @@
 /*
  * Copyright (c) 2001, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright (c) 2012 Nexenta Systems, Inc. All rights reserved.
- * Copyright 2017 Joyent, Inc.
+ * Copyright 2019, Joyent, Inc.
  */
 
 #include <sys/param.h>
@@ -3609,7 +3609,7 @@
 
 	while ((mp = getq(q)) != NULL) {
 		if (ipsec_loaded(ipss)) {
-			spdsock_wput(q, mp);
+			(void) spdsock_wput(q, mp);
 			if (ss->spdsock_dump_req != NULL)
 				return (0);
 		} else if (!ipsec_failed(ipss)) {
--- old/usr/src/uts/common/io/ppp/sppp/sppp.c	Thu Apr  4 14:09:51 2019
+++ new/usr/src/uts/common/io/ppp/sppp/sppp.c	Thu Apr  4 14:09:51 2019
@@ -4,6 +4,7 @@
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  * Copyright (c) 2016 by Delphix. All rights reserved.
+ * Copyright 2019, Joyent, Inc.
  *
  * Permission to use, copy, modify, and distribute this software and its
  * documentation is hereby granted, provided that the above copyright
@@ -1842,7 +1843,7 @@
 	mblk_t *mp;
 
 	while ((mp = getq(q)) != NULL)
-		sppp_lrput(q, mp);
+		(void) sppp_lrput(q, mp);
 	return (0);
 }
 
--- old/usr/src/uts/common/io/softmac/softmac_dev.c	Thu Apr  4 14:09:51 2019
+++ new/usr/src/uts/common/io/softmac/softmac_dev.c	Thu Apr  4 14:09:51 2019
@@ -23,6 +23,9 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2019, Joyent, Inc.
+ */
 
 #include <sys/types.h>
 #include <inet/common.h>
@@ -662,7 +665,7 @@
 		 */
 		sup->su_tx_inprocess++;
 		mutex_exit(&sup->su_mutex);
-		dld_wsrv(wq);
+		(void) dld_wsrv(wq);
 		mutex_enter(&sup->su_mutex);
 		if (--sup->su_tx_inprocess == 0)
 			cv_signal(&sup->su_cv);
--- old/usr/src/uts/common/io/softmac/softmac_fp.c	Thu Apr  4 14:09:52 2019
+++ new/usr/src/uts/common/io/softmac/softmac_fp.c	Thu Apr  4 14:09:52 2019
@@ -24,6 +24,10 @@
  */
 
 /*
+ * Copyright 2019, Joyent, Inc.
+ */
+
+/*
  * Softmac data-path switching:
  *
  * - Fast-path model
@@ -764,7 +768,7 @@
 	 * operation is is serialized by softmac_wput_nondata_task().
 	 */
 	if (sup->su_mode != SOFTMAC_FASTPATH) {
-		dld_wput(sup->su_wq, mp);
+		(void) dld_wput(sup->su_wq, mp);
 		return;
 	}
 
@@ -986,7 +990,7 @@
 	 * process of switching.
 	 */
 	if (sup->su_mode != SOFTMAC_FASTPATH)
-		dld_wput(sup->su_wq, mp);
+		(void) dld_wput(sup->su_wq, mp);
 	else
 		(void) softmac_fastpath_wput_data(sup, mp, NULL, 0);
 }
